services:
    dwocg00kco4sskccwc404og4-165010970891:
        image: 'dwocg00kco4sskccwc404og4:6cd80121e92d94d519ccebf37ea20b2fb103ec41'
        container_name: dwocg00kco4sskccwc404og4-165010970891
        restart: unless-stopped
        expose:
            - '3000'
        networks:
            coolify:
                aliases:
                    - dwocg00kco4sskccwc404og4-165010970891
        mem_limit: '0'
        memswap_limit: '0'
        mem_swappiness: 60
        mem_reservation: '0'
        cpus: 0.0
        cpu_shares: 1024
        env_file:
            - .env
        healthcheck:
            test:
                - CMD-SHELL
                - 'curl -s -X GET -f http://localhost:3000/api/health/check > /dev/null || wget -q -O- http://localhost:3000/api/health/check > /dev/null || exit 1'
            interval: 60s
            timeout: 5s
            retries: 10
            start_period: 20s
        labels:
            - traefik.enable=true
            - traefik.http.middlewares.gzip.compress=true
            - traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https
            - traefik.http.routers.http-0-dwocg00kco4sskccwc404og4.entryPoints=http
            - traefik.http.routers.http-0-dwocg00kco4sskccwc404og4.middlewares=redirect-to-https
            - 'traefik.http.routers.http-0-dwocg00kco4sskccwc404og4.rule=Host(`stage-jld-gicnet.shoppingbuilders.com`) && PathPrefix(`/`)'
            - traefik.http.routers.http-0-dwocg00kco4sskccwc404og4.service=http-0-dwocg00kco4sskccwc404og4
            - traefik.http.routers.https-0-dwocg00kco4sskccwc404og4.entryPoints=https
            - traefik.http.routers.https-0-dwocg00kco4sskccwc404og4.middlewares=gzip
            - 'traefik.http.routers.https-0-dwocg00kco4sskccwc404og4.rule=Host(`stage-jld-gicnet.shoppingbuilders.com`) && PathPrefix(`/`)'
            - traefik.http.routers.https-0-dwocg00kco4sskccwc404og4.service=https-0-dwocg00kco4sskccwc404og4
            - traefik.http.routers.https-0-dwocg00kco4sskccwc404og4.tls.certresolver=letsencrypt
            - traefik.http.routers.https-0-dwocg00kco4sskccwc404og4.tls=true
            - traefik.http.services.http-0-dwocg00kco4sskccwc404og4.loadbalancer.server.port=3000
            - traefik.http.services.https-0-dwocg00kco4sskccwc404og4.loadbalancer.server.port=3000
            - 'caddy_0.encode=zstd gzip'
            - 'caddy_0.handle_path.0_reverse_proxy={{upstreams 3000}}'
            - 'caddy_0.handle_path=/*'
            - caddy_0.header=-Server
            - 'caddy_0.try_files={path} /index.html /index.php'
            - 'caddy_0=https://stage-jld-gicnet.shoppingbuilders.com'
            - caddy_ingress_network=coolify
            - coolify.managed=true
            - coolify.version=4.0.0-beta.442
            - coolify.applicationId=3
            - coolify.type=application
            - coolify.name=dwocg00kco4sskccwc404og4
            - coolify.resourceName=shopping-buildersjld-gicnetstaging-dwocg00kco4sskccwc404og4
            - coolify.projectName=jld-gicnet
            - coolify.serviceName=shopping-buildersjld-gicnetstaging-dwocg00kco4sskccwc404og4
            - coolify.environmentName=staging
            - coolify.pullRequestId=0
networks:
    coolify:
        external: true
        name: coolify
        attachable: true
